 {% comment %}
Map grabs the doc sections, giving us an array of arrays. Join, flattens all
the items to a comma delimited string. Split turns it into an array again.
{% endcomment %}
{% assign docs = site.data.docs | map: 'docs' | join: ',' | split: ',' %}

{% comment %}
Because this is built for every page, lets find where we are in the ordered
document list by comparing url strings. Then if there's something previous or
next, lets build a link to it.
{% endcomment %}

{% for document in docs %}
  {% assign document_url = document | prepend:"/docs/" | append:"/" %}
  {% if document_url == page.url %}

<div>
  <nav class="nav nav-pills nav-fill">

    {% if forloop.first %}
           <a class="nav-item nav-link disabled">
            
          </a>
      {% else %}
        {% assign previous = forloop.index0 | minus: 1 %}
        {% assign previous_page = docs[previous] | prepend:"/docs/" | append:"/" %}

          <a class="nav-item nav-link" href="{{ previous_page | prepend: site.baseurl }}">
            <span aria-hidden="true">&larr;</span> {{ docs[previous] }}
          </a>
      {% endif %}
  

  <a class="nav-item nav-link" href="{{site.git_edit_address}}{{ site.env.CI_COMMIT_REF_NAME }}/-/{{ page.path }}""><i class="fab fa-gitlab"></i> Edit.</a>

{% if forloop.last %}
       
          <a class="nav-item nav-link disabled" >end |
          </a>
        
      {% else %}
        {% assign next = forloop.index0 | plus: 1 %}
        {% assign next_page = docs[next] | prepend:"/docs/" | append:"/" %}
      
          <a class="nav-item nav-link" href="{{ next_page | prepend: site.baseurl }}">
            {{ docs[next] }} <span aria-hidden="true">&rarr;</span>
          </a>
      
      {% endif %}
 </nav>
</div>

    {% break %}
  {% endif %}
{% endfor %}
